

# GetStageSession
<a name="API_GetStageSession"></a>

Gets information for the specified stage session.

## Request Syntax
<a name="API_GetStageSession_RequestSyntax"></a>

```
POST /GetStageSession HTTP/1.1
Content-type: application/json

{
   "sessionId": "string",
   "stageArn": "string"
}
```

## URI Request Parameters
<a name="API_GetStageSession_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetStageSession_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [sessionId](#API_GetStageSession_RequestSyntax) **   <a name="ivsrealtimeeapireference-GetStageSession-request-sessionId"></a>
ID of a session within the stage.  
Type: String  
Length Constraints: Fixed length of 16.  
Pattern: `st-[a-zA-Z0-9]+`   
Required: Yes

 ** [stageArn](#API_GetStageSession_RequestSyntax) **   <a name="ivsrealtimeeapireference-GetStageSession-request-stageArn"></a>
ARN of the stage for which the information is to be retrieved.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `arn:aws:ivs:[a-z0-9-]+:[0-9]+:stage/[a-zA-Z0-9-]+`   
Required: Yes

## Response Syntax
<a name="API_GetStageSession_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "stageSession": { 
      "endTime": "string",
      "sessionId": "string",
      "startTime": "string"
   }
}
```

## Response Elements
<a name="API_GetStageSession_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [stageSession](#API_GetStageSession_ResponseSyntax) **   <a name="ivsrealtimeeapireference-GetStageSession-response-stageSession"></a>
The stage session that is returned.  
Type: [StageSession](API_StageSession.md) object

## Errors
<a name="API_GetStageSession_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
    
 ** exceptionMessage **   
User does not have sufficient access to perform this action.
HTTP Status Code: 403

 ** ResourceNotFoundException **   
    
 ** exceptionMessage **   
Request references a resource which does not exist.
HTTP Status Code: 404

 ** ValidationException **   
    
 ** exceptionMessage **   
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400

## See Also
<a name="API_GetStageSession_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/ivs-realtime-2020-07-14/GetStageSession) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/ivs-realtime-2020-07-14/GetStageSession) 